member_ptr< T > Class Template Reference

Pointer that overloads operator -> More...

Inheritance diagram for member_ptr< T >:

## Public Member Functions

| member_ptr (T *p=NULL)
const T & | operator* () const
T & | operator* ()
const T * | operator-> () const
T * | operator-> ()
const T * | get () const
T * | get ()
T * | release ()
void | reset (T *p=NULL)

## Detailed Description

### template<class T>
class member_ptr< T >

Pointer that overloads operator ->

Template Parameters

  T | class or type

member_ptr is used frequently in the library to avoid the issues related to std::auto_ptr in C++11 (deprecated) and std::unique_ptr in C++03 (non-existent).

Definition at line 37 of file smartptr.h.

The documentation for this class was generated from the following file:

- smartptr.h